declare const __default__: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    total: {
        type: NumberConstructor;
        default: number;
    };
    tableWidgetLength: {
        type: NumberConstructor;
        default: number;
    };
    selectedLength: {
        type: NumberConstructor;
        default: number;
    };
}>, {
    tips: import("vue").ComputedRef<string>;
    nodeRef: import("vue").Ref<HTMLElement, HTMLElement>;
    tableHeight: import("vue").Ref<string, string>;
    moduleDisplayName: import("vue").Ref<any, any>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    total: {
        type: NumberConstructor;
        default: number;
    };
    tableWidgetLength: {
        type: NumberConstructor;
        default: number;
    };
    selectedLength: {
        type: NumberConstructor;
        default: number;
    };
}>> & Readonly<{}>, {
    total: number;
    tableWidgetLength: number;
    selectedLength: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default __default__;
